Kapitel 5. Paketmanagement
Zurück | 5.42 `grep-dctrl` | Weiter

## 5.42 `grep-dctrl`

Hiermit lassen sich die „control“-Dateien der Debian-Pakete durchsuchen. Dieses sehr spezialisierte `grep`-Kommando eignet sich, um alle Arten von Dateien zu durchsuchen, die dem Dateiformat folgen, das im „Debian Policy Manual“ (http://www.debian.org/doc/debian-policy/) beschrieben ist. Dies sind Dateien wie das „available“-File von dpkg, das „status“-File von dpkg sowie die „Packages“-Dateien einer Distribution, wie sie auf den CD-ROMs oder FTP-Servern zu finden sind.

Mit diesem Werkzeug lässt sich sehr schnell bestimmen, welche Pakete von einem bestimmten Maintainer betreut werden oder welche Version eines Pakets aktuell ist.

Die Syntax von `grep-dctrl` lautet:

    Usage: grep-dctrl [OPTION...]

Optionen

`-!`, `--not`

  Negiert die folgende Suchanfrage.

`-a`, `--and`

  Verknüpft Suchanfragen.

`-c`, `--count`

  Zeigt nur die Anzahl der Suchergebnisse an.

`--config-file=FILE`

  Benutzt die Datei `FILE` als Konfigurationsdatei.

`-C`, `--copying`

  Zeigt die Copyright-Informationen zu diesem Programm an.

`-d`

  Es wird nur die erste Zeile des Beschreibungsfeldes („Description“) der dem Suchmuster entsprechenden Pakete angezeigt.

`--debug-optparse`

  Hilft bei der Fehlersuche.

`-e`, `--eregex`

  Behandelt den Suchstring als POSIX-konformen regulären Ausdruck.

`-F`, `--field=FELDNAME,FELDNAME...`

  Zeigt nur die angegebenen Feldnamen aus der Paketbeschreibung an.

`-i`, `--ignore-case`

  Ignoriert Groß- und Kleinschreibung im Suchbegriff.

`-l`, `--errorlevel=NAME`

  Setzt den Errorlevel auf den gewünschten Wert.

`-n`, `--no-field-names`

  Unterdrückt die Ausgabe der Feldnamen.

`-o`, `--or`

  Verknüpft Suchbegriffe mit der ODER-Funktion.

`-q`, `--quiet`

  Unterdrückt die Ausgaben auf der Standard-Ausgabe.

`-r`, `--regex`

  Behandelt den Suchbegriff als regulären Ausdruck nach POSIX-Standard.

`-s`, `--show-field=FELD, FELD...`

  Zeigt nur den Inhalt der angegebenen Felder.

`--silent`

  Unterdrückt Ausgaben auf der Standardausgabe.

`-v`, `--invert-match`

  Zeigt nur Ergebnisse, die nicht auf den Suchbegriff zutreffen.

`-X`, `--exact-match`
  Zeigt nur genau zutreffende Ergebnisse an.

`-?`, `--help`

  Zeigt eine Hilfe zu diesem Programm an.

`--usage`

  Zeigt eine kurze Erklärung der Optionen von `grep-dctrl`.

`--version`

  Zeigt die Versionsnummer des Programms an.

Zurück | Nach oben | Weiter
5.41 `dpkg-checkbuilddeps` | Zum Anfang | 5.43 `dpkg-repack`

© 1999-2006 Frank Ronneburg - Dieser Inhalt ist unter einem Creative Commons Namensnennung - Nicht-kommerziell - Keine Bearbeitung Lizenzvertrag lizenziert (creativecommons.org/licenses/by-nc-nd/2.0/de/legalcode).